Operations
Run hardware test
Starts a non-destructive hardware test on the service and returns the created operation, which continues after the response.
Authorizations
- Authorizationstringheaderrequired
Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.
Required permission: organization.baremetal.deploy
Path parameters
- idstring<uuid>required
Body
application/json- isCpuIncludedbooleanrequired
- isMemoryIncludedbooleanrequired
- isDiskIncludedbooleanrequired
- isSmartIncludedbooleanrequired
- cpuDurationSecondsinteger<int32> | null
- memoryDurationSecondsinteger<int32> | null
- diskDurationSecondsinteger<int32> | null
- cpuWorkersinteger<int32> | null
- memoryPercentinteger<int32> | null
- diskBlockSizestring | null
- diskIoDepthinteger<int32> | null
Response
201 · application/jsonCreated
- successbooleanrequired
- dataobject | nullrequired